QScintilla: QsciLexerVerilog Class Reference

QScintilla 2.6.1

- Main Page
- Classes
- Directories

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions
QsciLexerVerilog Class Reference

`#include <qscilexerverilog.h>`

Inherits QsciLexer.

List of all members.

## Public Types

- enum {
  Default = 0, Comment = 1, CommentLine = 2,
  CommentBang = 3, Number = 4, Keyword = 5,
  String = 6, KeywordSet2 = 7, SystemTask = 8,
  Preprocessor = 9, Operator = 10, Identifier = 11,
  UnclosedString = 12, UserKeywordSet = 19
  }

## Public Member Functions

- QsciLexerVerilog (QObject *parent=0)
- virtual ~QsciLexerVerilog ()
- const char * language () const
- const char * lexer () const
- int braceStyle () const
- const char * wordCharacters () const
- QColor defaultColor (int style) const
- bool defaultEolFill (int style) const
- QFont defaultFont (int style) const
- QColor defaultPaper (int style) const
- const char * keywords (int set) const
- QString description (int style) const
- void refreshProperties ()
- void setFoldAtElse (bool fold)
- bool foldAtElse () const
- void setFoldComments (bool fold)
- bool foldComments () const
- void setFoldCompact (bool fold)
- bool foldCompact () const
- void setFoldPreprocessor (bool fold)
- bool foldPreprocessor () const
- void setFoldAtModule (bool fold)
- bool foldAtModule () const

## Protected Member Functions

- bool readProperties (QSettings &qs, const QString &prefix)
- bool writeProperties (QSettings &qs, const QString &prefix) const

## Detailed Description

The QsciLexerVerilog class encapsulates the Scintilla Verilog lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Verilog lexer.

Enumerator:

  Default | The default.
  Comment | A comment.
  CommentLine | A line comment.
  CommentBang | A bang comment.
  Number | A number.
  Keyword | A keyword.
  String | A string.
  KeywordSet2 | A keyword defined in keyword set number 2. The class must be sub-classed and re-implement keywords() to make use of this style.
  SystemTask | A system task.
  Preprocessor | A pre-processor block.
  Operator | An operator.
  Identifier | An identifier.
  UnclosedString | The end of a line where a string is not closed.
  UserKeywordSet | A keyword defined in keyword set number 4. The class must be sub-classed and re-implement keywords() to make use of this style. This set is intended to be used for user defined identifiers and tasks.

## Constructor & Destructor Documentation

QsciLexerVerilog::QsciLexerVerilog | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerVerilog with parent parent. parent is typically the QsciScintilla instance.

## Member Function Documentation

const char* QsciLexerVerilog::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

QColor QsciLexerVerilog::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  defaultPaper()

Reimplemented from QsciLexer.

QColor QsciLexerVerilog::defaultPaper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  defaultColor()

Reimplemented from QsciLexer.

const char* QsciLexerVerilog::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

QString QsciLexerVerilog::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

void QsciLexerVerilog::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

void QsciLexerVerilog::setFoldAtElse | ( | bool | fold | ) |

If fold is true then "} else {" lines can be folded. The default is false.

See also:
  foldAtElse()

bool QsciLexerVerilog::foldAtElse | ( |  | ) | const

Returns true if "} else {" lines can be folded.

See also:
  setFoldAtElse()

void QsciLexerVerilog::setFoldComments | ( | bool | fold | ) |

If fold is true then multi-line comment blocks can be folded. The default is false.

See also:
  foldComments()

bool QsciLexerVerilog::foldComments | ( |  | ) | const

Returns true if multi-line comment blocks can be folded.

See also:
  setFoldComments()

void QsciLexerVerilog::setFoldCompact | ( | bool | fold | ) |

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also:
  foldCompact()

bool QsciLexerVerilog::foldCompact | ( |  | ) | const

Returns true if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

void QsciLexerVerilog::setFoldPreprocessor | ( | bool | fold | ) |

If fold is true then preprocessor blocks can be folded. The default is true.

See also:
  foldPreprocessor()

bool QsciLexerVerilog::foldPreprocessor | ( |  | ) | const

Returns true if preprocessor blocks can be folded.

See also:
  setFoldPreprocessor()

void QsciLexerVerilog::setFoldAtModule | ( | bool | fold | ) |

If fold is true then modules can be folded. The default is false.

See also:
  foldAtModule()

bool QsciLexerVerilog::foldAtModule | ( |  | ) | const

Returns true if modules can be folded.

See also:
  setFoldAtModule()

bool QsciLexerVerilog::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

See also:
  writeProperties()

Reimplemented from QsciLexer.

bool QsciLexerVerilog::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

See also:
  readProperties()

Reimplemented from QsciLexer.